package hello;

import javax.microedition.lcdui.Alert;
import javax.microedition.lcdui.AlertType;
import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.CommandListener;
import javax.microedition.lcdui.Display;
import javax.microedition.lcdui.Displayable;
import javax.microedition.lcdui.Form;
import javax.microedition.midlet.*;

public class Midlet extends MIDlet implements CommandListener {

	private final Form form;
	private final Command cmdShowAlert;
	private final Command cmdAppendText;
	private final Command cmdExit;

	public Midlet() {
		cmdShowAlert = new Command("Show alert", Command.OK, 0);
		cmdAppendText = new Command("Append text", Command.OK, 0);
		cmdExit = new Command("Exit", Command.EXIT, 0);

		form = new Form("Hello");
		form.addCommand(cmdShowAlert);
		form.addCommand(cmdAppendText);
		form.addCommand(cmdExit);
		form.setCommandListener(this);
	}

	public void startApp() {
		Display.getDisplay(this).setCurrent(form);
	}

	public void pauseApp() {
	}

	public void destroyApp(boolean unconditional) {
	}

	public void commandAction(Command c, Displayable d) {
		if (d.equals(form)) {
			if (c.equals(cmdShowAlert)) {
				Alert alert = new Alert("Alert", "This is an alert!", null, AlertType.INFO);
				Display.getDisplay(this).setCurrent(alert);
			}

			if (c.equals(cmdAppendText)) {
				form.append("This is a text!\n");
			}

			if (c.equals(cmdExit)) {
				destroyApp(true);
				notifyDestroyed();
			}
		}
	}
}
